Upstream information

CVE-2014-8503 at MITRE

Description

Stack-based buffer overflow in the ihex_scan function in bfd/ihex.c in GNU binutils 2.24 and earlier allows remote attackers to cause a denial of service (crash) and possibly have other unspecified impact via a crafted ihex file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial

Note from the SUSE Security Team on the binutils package

SUSE considers binutils a developer tool which does not receive untrusted input. Code processed by binutils is being executed in any normal scenario, so security exploits could just inject regular binary code. For this reason we update binutils only around once a year to the current stable version to catch up on features and bugfixes. If you are processing untrusted binary code with binutils we recommend doing so on a seperate system or VM.

SUSE Bugzilla entry: 903655 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Liberty Linux 7
  • binutils >= 2.23.52.0.1-55.el7
  • binutils-devel >= 2.23.52.0.1-55.el7
Patchnames:
RHSA-2015:2079
SUSE Linux Enterprise Desktop 11 SP3
  • binutils >= 2.23.1-0.23.15
  • binutils-devel >= 2.23.1-0.23.15
  • binutils-devel-32bit >= 2.23.1-0.23.15
  • binutils-gold >= 2.23.1-0.23.15
  • cross-ppc-binutils >= 2.23.1-0.23.2
  • cross-spu-binutils >= 2.23.1-0.23.2
Patchnames:
sdksp3-binutils-201501
sledsp3-binutils-201501
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • binutils-devel >= 2.24-3.62
  • binutils-devel-32bit >= 2.24-3.62
  • binutils-gold >= 2.24-3.62
  • cross-ppc-binutils >= 2.24-3.18
  • cross-spu-binutils >= 2.24-3.18
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA binutils-devel-2.24-3.62
SUSE Linux Enterprise Desktop 12 SP1
  • binutils >= 2.25.0-13.1
  • binutils-devel >= 2.25.0-13.1
  • binutils-gold >= 2.25.0-13.1
  • cross-ppc-binutils >= 2.25.0-13.1
  • cross-spu-binutils >= 2.25.0-13.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA binutils-2.25.0-13.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA binutils-devel-2.25.0-13.1
SUSE Linux Enterprise Desktop 12 SP2
  • binutils >= 2.26.1-9.12.1
  • binutils-devel >= 2.26.1-9.12.1
  • binutils-gold >= 2.26.1-9.12.1
  • cross-ppc-binutils >= 2.26.1-9.12.1
  • cross-spu-binutils >= 2.26.1-9.12.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA binutils-2.26.1-9.12.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA binutils-devel-2.26.1-9.12.1
SUSE Linux Enterprise Desktop 12 SP3
  • binutils >= 2.26.1-9.12.1
  • binutils-devel >= 2.26.1-9.12.1
  • binutils-gold >= 2.26.1-9.12.1
  • cross-ppc-binutils >= 2.26.1-9.12.1
  • cross-spu-binutils >= 2.26.1-9.12.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA binutils-2.26.1-9.12.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA binutils-devel-2.26.1-9.12.1
SUSE Linux Enterprise Desktop 12
  • binutils >= 2.24-7.1
  • binutils-devel >= 2.24-7.1
  • binutils-gold >= 2.24-7.1
  • cross-ppc-binutils >= 2.24-7.1
  • cross-spu-binutils >= 2.24-7.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-44
SUSE-SLE-SDK-12-2015-44
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • binutils >= 2.23.1-0.23.15
  • binutils-devel >= 2.23.1-0.23.15
  • binutils-devel-32bit >= 2.23.1-0.23.15
  • binutils-gold >= 2.23.1-0.23.15
  • cross-ppc-binutils >= 2.23.1-0.23.2
  • cross-spu-binutils >= 2.23.1-0.23.2
Patchnames:
sdksp3-binutils-201501
slessp3-binutils-201501
SUSE Linux Enterprise Server 11 SP4
  • binutils >= 2.24-3.62
  • binutils-devel >= 2.24-3.62
  • binutils-devel-32bit >= 2.24-3.62
  • binutils-gold >= 2.24-3.62
  • cross-ppc-binutils >= 2.24-3.18
  • cross-spu-binutils >= 2.24-3.18
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA binutils-2.24-3.62
SUSE Linux Enterprise Software Development Kit 11 SP4 GA binutils-devel-2.24-3.62
SUSE Linux Enterprise Server 12 SP1
  • binutils >= 2.25.0-13.1
  • binutils-devel >= 2.25.0-13.1
  • binutils-gold >= 2.25.0-13.1
  • cross-ppc-binutils >= 2.25.0-13.1
  • cross-spu-binutils >= 2.25.0-13.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA binutils-2.25.0-13.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA binutils-devel-2.25.0-13.1
SUSE Linux Enterprise Server 12 SP2
  • binutils >= 2.26.1-9.12.1
  • binutils-devel >= 2.26.1-9.12.1
  • binutils-gold >= 2.26.1-9.12.1
  • cross-ppc-binutils >= 2.26.1-9.12.1
  • cross-spu-binutils >= 2.26.1-9.12.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA binutils-2.26.1-9.12.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA binutils-devel-2.26.1-9.12.1
SUSE Linux Enterprise Server 12 SP3
  • binutils >= 2.26.1-9.12.1
  • binutils-devel >= 2.26.1-9.12.1
  • binutils-gold >= 2.26.1-9.12.1
  • cross-ppc-binutils >= 2.26.1-9.12.1
  • cross-spu-binutils >= 2.26.1-9.12.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA binutils-2.26.1-9.12.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA binutils-devel-2.26.1-9.12.1
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • binutils-devel >= 2.24-7.1
  • binutils-gold >= 2.24-7.1
  • cross-ppc-binutils >= 2.24-7.1
  • cross-spu-binutils >= 2.24-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA binutils-2.32-9.36.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA cross-ppc-binutils-2.32-9.36.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA cross-spu-binutils-2.32-9.36.1
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • binutils >= 2.24-7.1
  • binutils-devel >= 2.24-7.1
  • binutils-gold >= 2.24-7.1
  • cross-ppc-binutils >= 2.24-7.1
  • cross-spu-binutils >= 2.24-7.1
Patchnames:
SUSE-SLE-SDK-12-2015-44
SUSE-SLE-SERVER-12-2015-44
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • binutils >= 2.26.1-9.12.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA binutils-2.26.1-9.12.1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • binutils-devel >= 2.25.0-13.1
  • binutils-gold >= 2.25.0-13.1
  • cross-ppc-binutils >= 2.25.0-13.1
  • cross-spu-binutils >= 2.25.0-13.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA binutils-devel-2.25.0-13.1
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • binutils-devel >= 2.26.1-9.12.1
  • binutils-gold >= 2.26.1-9.12.1
  • cross-ppc-binutils >= 2.26.1-9.12.1
  • cross-spu-binutils >= 2.26.1-9.12.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA binutils-devel-2.26.1-9.12.1
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • binutils-devel >= 2.26.1-9.12.1
  • binutils-gold >= 2.26.1-9.12.1
  • cross-ppc-binutils >= 2.26.1-9.12.1
  • cross-spu-binutils >= 2.26.1-9.12.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA binutils-devel-2.26.1-9.12.1
SUSE Linux Enterprise Software Development Kit 11 SP3
  • binutils-devel >= 2.23.1-0.23.15
  • binutils-devel-32bit >= 2.23.1-0.23.15
  • binutils-gold >= 2.23.1-0.23.15
  • cross-ppc-binutils >= 2.23.1-0.23.2
  • cross-spu-binutils >= 2.23.1-0.23.2
Patchnames:
sdksp3-binutils-201501
SUSE Linux Enterprise Software Development Kit 12
  • binutils-devel >= 2.24-7.1
  • binutils-gold >= 2.24-7.1
  • cross-ppc-binutils >= 2.24-7.1
  • cross-spu-binutils >= 2.24-7.1
Patchnames:
SUSE-SLE-SDK-12-2015-44


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise High Performance Computing 12 SP5 binutils Released
SUSE Linux Enterprise Server 12 SP5 binutils Released
SUSE Linux Enterprise Server 12 SP5 cross-ppc-binutils Released
SUSE Linux Enterprise Server 12 SP5 cross-spu-binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 cross-ppc-binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 cross-spu-binutils Released
SUSE Linux Enterprise Software Development Kit 12 SP5 binutils Released
SUSE Linux Enterprise Software Development Kit 12 SP5 cross-ppc-binutils Released
SUSE Linux Enterprise Software Development Kit 12 SP5 cross-spu-binutils Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 binutils Affected
SLES for SAP Applications 11 SP3 binutils Released
SUSE Linux Enterprise Desktop 11 SP3 binutils Released
SUSE Linux Enterprise Desktop 12 binutils Released
SUSE Linux Enterprise Desktop 12 cross-ppc-binutils Released
SUSE Linux Enterprise Desktop 12 cross-spu-binutils Released
SUSE Linux Enterprise Desktop 12 SP1 binutils Released
SUSE Linux Enterprise Desktop 12 SP2 binutils Affected
SUSE Linux Enterprise Desktop 12 SP3 binutils Affected
SUSE Linux Enterprise Desktop 12 SP4 binutils Affected
SUSE Linux Enterprise Point of Sale 11 SP3 binutils Affected
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT binutils Affected
SUSE Linux Enterprise Server 11 SP3 binutils Released
SUSE Linux Enterprise Server 11 SP3 LTSS binutils Released
SUSE Linux Enterprise Server 11 SP3-LTSS binutils Affected
SUSE Linux Enterprise Server 12 binutils Released
SUSE Linux Enterprise Server 12 cross-ppc-binutils Released
SUSE Linux Enterprise Server 12 cross-spu-binutils Released
SUSE Linux Enterprise Server 12 SP1 binutils Affected
SUSE Linux Enterprise Server 12 SP1-LTSS binutils Affected
SUSE Linux Enterprise Server 12 SP2 binutils Affected
SUSE Linux Enterprise Server 12 SP2-BCL binutils Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS binutils Affected
SUSE Linux Enterprise Server 12 SP2-LTSS binutils Affected
SUSE Linux Enterprise Server 12 SP3 binutils Affected
SUSE Linux Enterprise Server 12 SP3-BCL binutils Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS binutils Unsupported
SUSE Linux Enterprise Server 12 SP3-LTSS binutils Unsupported
SUSE Linux Enterprise Server 12 SP4 binutils Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS binutils Affected
SUSE Linux Enterprise Server 12 SP4-LTSS binutils Affected
SUSE Linux Enterprise Server 12-LTSS binutils Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 cross-ppc-binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 cross-spu-binutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 binutils Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 binutils Affected
SUSE Linux Enterprise Software Development Kit 11 SP3 binutils Released
SUSE Linux Enterprise Software Development Kit 12 binutils Released
SUSE Linux Enterprise Software Development Kit 12 cross-ppc-binutils Released
SUSE Linux Enterprise Software Development Kit 12 cross-spu-binutils Released
SUSE Linux Enterprise Software Development Kit 12 SP1 binutils Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 binutils Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 binutils Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 binutils Affected
SUSE OpenStack Cloud 7 binutils Affected
SUSE OpenStack Cloud 8 binutils Affected
SUSE OpenStack Cloud 9 binutils Affected
SUSE OpenStack Cloud Crowbar 8 binutils Affected
SUSE OpenStack Cloud Crowbar 9 binutils Affected
Products at an unknown state of their lifecycle.
SUSE CaaS Platform Toolchain 3 binutils Affected


SUSE Timeline for this CVE

CVE page created: Fri Oct 31 07:55:46 2014
CVE page last modified: Fri Jul 19 16:41:35 2024